require "octocli/version"
require 'term/ansicolor'
include Term::ANSIColor

module Octocli
	require 'octokit'
  @config = YAML.load_file(File.join(File.dirname(__FILE__),"octocli/yaml/config.yaml"))
	# Config update these! @owner can be either an org or a user

	@client = Octokit::Client.new(:login => @config["username"], :oauth_token => @config["token"])

	@issues = @client.list_issues({:username => @config["owner"], :repo => @config["repo"]}, { :assignee => @config["username"] })

	@issues.each do |issue|
		print cyan, bold, "\##{issue[:number]}", reset, green, " - #{issue[:title]} \n", reset
	end
end
